import { use } from "../../extension.mjs";
import { install as install$1 } from "./installLegendPlain.mjs";
import ScrollableLegendModel from "./ScrollableLegendModel.mjs";
import ScrollableLegendView from "./ScrollableLegendView.mjs";
import installScrollableLegendAction from "./scrollableLegendAction.mjs";
function install(registers) {
  use(install$1);
  registers.registerComponentModel(ScrollableLegendModel);
  registers.registerComponentView(ScrollableLegendView);
  installScrollableLegendAction(registers);
}
export {
  install
};
